package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.laboratory.domain.LabNegativeListRecords;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

/**
 * 负面清单列表对象 lab_negative_list_records
 *
 * @author zd
 * @date 2021-12-15
 */
@ApiModel("负面清单列表")
public class LabNegativeListRecordsVO extends LabNegativeListRecords
{



    private Long userId;

    private String userName;

    private String stuNo;


    private String deptName;

    private String order;

    private String orderType;

    private Long joinUserId;


    private Boolean handAct = false;



    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }


    @Override
    public Long getUserId() {
        return userId;
    }

    @Override
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String getStuNo() {
        return stuNo;
    }

    @Override
    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public Boolean getHandAct() {
        return handAct;
    }

    public void setHandAct(Boolean handAct) {
        this.handAct = handAct;
    }
}
